/* REXX script */

parse arg InstDir ToolDir

if ""==InstDir | ""==ToolDir then do
   say 'Invoke: installVAC365.cmd [BaseInstallPath] [ToolkitInstallPath]'
   '@pause'	
   return 1
end

InstDir = strip(InstDir,'B','"')
ToolDir = strip(ToolDir,'B','"')
parse var InstDir InstDrv1 '\' InstDir1
parse var ToolDir InstDrv2 '\' InstDir2

rc = rxfuncadd('SysLoadFuncs','rexxutil','SysLoadFuncs')
rc = SysLoadFuncs()

logdir=strip(value('LOGFILES',,'OS2ENVIRONMENT'),'T','\')
bootdrive=SysBootDrive()

if ''==logdir then do
  say 'Specify LOGFILES environment variable for location of log files !'
  '@pause'	
  return 1
end


sourcedir='.\COMPILER'
responsefile=sourcedir'\PORTAPAK.RSP'
errorlogfile=logdir'\errorVAC365.LOG'
historylogfile=logdir'\historyVAC365.LOG'

parse source . ':' -1 procrx .
thisDir = FILESPEC('drive',procrx)||FILESPEC('path',procrx)
ImageMediaPath=thisDir'COMPILER'

cmd = '@clifi.exe /A:B /F:"<WP_DESKTOP>" /B:'bootdrive' /S:'sourcedir' /R:'responsefile' /O:ROOT /SET:InstDrv1='InstDrv1' /SET:InstDir1='InstDir1' /SET:InstDrv2='InstDrv2' /SET:InstDir2='InstDir2' /SET:ImageMediaPath='ImageMediaPath' /L1:'errorlogfile' /L2:'historylogfile
cmd

say 'Install object PPAK_FI created on desktop.'
say 'If asked to insert Source Media,'
say 'correct the driveletter of the directory where the install'
say 'sources are located.'
say 'Once the installation is finished,'
say 'you may safely delete the installation object on the desktop.'

'@pause'	
return 0
